language: cn
model_unique_abbr: spacetimeprism
version: 1.0
identification:
  docker_image_name: spacetimeprism:1.0
  model_name: 道路网络空间中的时空棱柱构造算法
  semantic: Algorithm for constructing space time prisms in network space
  description: 基于最短路径算法，构建路网中的时空棱柱
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 最短路径
  - 时空棱柱
parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: false
    param_type: input_data
    name: 道路网络数据
    description: 城市道路网络数据，数据中需包含所有路网边的起点和终点信息，csv
    data_type: csv
    data_semantic: network_data

  - arg_name: originId
    is_single_en_dash: false
    param_type: param
    name: 路网LinkID
    description: The ID of any path in the network
    data_type: int
    data_semantic: originId
    specification:
      default: 18
      range:
        - "(0,)"

  - arg_name: radius
    is_single_en_dash: false
    param_type: param
    name: 路网距离
    description: 构建缓冲区的大小
    data_type: float
    data_semantic: The size of the constructed buffer
    specification:
      default: 200
      range:
        - "(0,)"
        
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 结果数据
    description: 输出结果的csv文件，包含缓冲区内的LinkID
    data_type: csv
    data_semantic: result data  

application:
  domain: 网络时空棱柱构造
  objective: 构建个体在路网中的时空棱柱
  dimension:
  - 三维
  mechanism: 使用最短路径算法构建时空棱柱
operation:
  usage: 该算法需要三个参数，道路网络矢量数据(network_data)，起始点(startpoint)，终止点(endpoint)，最小停留时间(stoptime)。
  exec_example:
  - docker run -v $(pwd):/data spacetimeprism:1.0 --input /data/network.csv --originId 18 --radius 200 --output /data/output.csv
  output_display:
  - 时空棱柱包含的所有Link
technique:
  language:
  - python
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangyu && Zhongyuxiang
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "CHEN, B. Y., et al. 2016. Spatiotemporal data model for network time geographic analysis in the era of big data. International Journal of Geographical Information Science, 30(6), 1041-1071."
